Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156780 - mount -o remount,acl doesn't enable ACLs
Summary: mount -o remount,acl doesn't enable ACLs
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs
Version: 3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ben Marzinski
QA Contact: GFS Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 08:35 UTC by Florian Brand
Modified: 2010-01-12 03:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-07 15:31:56 UTC


Attachments (Terms of Use)

Description Florian Brand 2005-05-04 08:35:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Other nodes have mounted a GFS filesystem with -o acl. ACLs work for the nodes that have mounted the filesystem with acl from the beginning.
On a node where ACLs were not activated on the initial mount, a remount does not enable the ACLS. 

Version-Release number of selected component (if applicable):
GFS-modules-smp-6.0.2-26

How reproducible:
Always

Steps to Reproduce:
1. mount -t gfs /dev/pool/bla /mnt/bla
2. mount -o remount,acl /mnt/bla
3.
  

Actual Results:  ACLs are reported by mount and ls, however if I try to access the file I get "Permission Denied"

Expected Results:  An open file :)

Additional info:

umount /dev/pool/bla
mount -t gfs -o acl /dev/pool/bla /mnt/bla
works.

Comment 1 Ben Marzinski 2005-08-29 22:31:44 UTC
This is fixed in RHEL3 and RHEL4 now. gfs wasn't looking at the remount options.
In RHEL3, once you enable acls. you cannot use -o remount to disable them. This
is true for all filesystems, as far as I can tell.  In RHEL4, using -o remount
(without the 'acl' option) will disable ACLs if they were previously enabled.
Again this is true for other filesystems as well.

Comment 2 Corey Marthaler 2005-09-07 15:31:56 UTC
fix verified in GFS 2.6.9-40.0 (built Aug 31 2005 14:04:50)



Note You need to log in before you can comment on or make changes to this bug.